Get FPP Server Details

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}

Gets the details of the FPP server including clients and REST users

Request

Path Parameters
Query Parameters
  • restUsers | clients | properties are possible values
    Allowed Values: [ "restUsers", "clients", "properties" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Ok. FPP server registration details retrieved.
Body ()
Root Schema : FppServer
Type: object
FPP server registration summary
Show Source
Match All
FPP server registration summary
Show Source
Nested Schema : clients
Type: array
Client details registered with the FPP server
Show Source
Nested Schema : properties
Type: array
Property details registered with the FPP server
Show Source
Nested Schema : restUsers
Type: array
REST user details registered with the FPP server
Show Source
Nested Schema : schema
Type: object
Target details
Show Source
Nested Schema : items
Type: object
Show Source
Match All
Show Source
Nested Schema : PropertySummary
Type: object
Details of the property
Show Source
Nested Schema : CreateRestUserDetails
Type: object
Details of REST user
Show Source
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top